<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'CheckScanRequest' => '\\StructType\\CheckScanRequest',
            'CheckScanResult' => '\\StructType\\CheckScanResult',
            'GetQuoteRequest' => '\\StructType\\GetQuoteRequest',
            'ArrayOfDeal' => '\\ArrayType\\ArrayOfDeal',
            'Deal' => '\\StructType\\Deal',
            'GetQuoteResult' => '\\StructType\\GetQuoteResult',
            'Quote' => '\\StructType\\Quote',
            'AcceptQuoteRequest' => '\\StructType\\AcceptQuoteRequest',
            'AcceptQuoteResult' => '\\StructType\\AcceptQuoteResult',
            'SubmitDealRequest' => '\\StructType\\SubmitDealRequest',
            'ArrayOfDealDetail' => '\\ArrayType\\ArrayOfDealDetail',
            'DealDetail' => '\\StructType\\DealDetail',
            'Payee' => '\\StructType\\Payee',
            'SubmitDealResult' => '\\StructType\\SubmitDealResult',
            'SubmitDealDefaultFundingResult' => '\\StructType\\SubmitDealDefaultFundingResult',
            'SubmitDealRequest_0_0_1' => '\\StructType\\SubmitDealRequest_0_0_1',
            'SubmitDealResult_0_0_1' => '\\StructType\\SubmitDealResult_0_0_1',
            'SubmitDealResult_0_0_2' => '\\StructType\\SubmitDealResult_0_0_2',
            'SubmitIncomingDealRequest' => '\\StructType\\SubmitIncomingDealRequest',
            'ArrayOfSubmitIncomingDealDetail' => '\\ArrayType\\ArrayOfSubmitIncomingDealDetail',
            'SubmitIncomingDealDetail' => '\\StructType\\SubmitIncomingDealDetail',
            'SubmitIncomingPayee' => '\\StructType\\SubmitIncomingPayee',
            'SubmitIncomingDealResult' => '\\StructType\\SubmitIncomingDealResult',
            'ArrayOfInstructionToSender' => '\\ArrayType\\ArrayOfInstructionToSender',
            'InstructionToSender' => '\\StructType\\InstructionToSender',
            'GetAccountBalanceRequest' => '\\StructType\\GetAccountBalanceRequest',
            'GetAccountBalanceResult' => '\\StructType\\GetAccountBalanceResult',
            'ArrayOfAccountDetails' => '\\ArrayType\\ArrayOfAccountDetails',
            'AccountDetails' => '\\StructType\\AccountDetails',
            'GetAccountBalanceResult_0_0_1' => '\\StructType\\GetAccountBalanceResult_0_0_1',
            'ArrayOfAccountDetails_0_0_1' => '\\ArrayType\\ArrayOfAccountDetails_0_0_1',
            'AccountDetails_0_0_1' => '\\StructType\\AccountDetails_0_0_1',
            'GetFundingAccountListRequest' => '\\StructType\\GetFundingAccountListRequest',
            'GetFundingAccountListResult' => '\\StructType\\GetFundingAccountListResult',
            'ArrayOfAccountList' => '\\ArrayType\\ArrayOfAccountList',
            'AccountList' => '\\StructType\\AccountList',
            'ValidateIBANRequest' => '\\StructType\\ValidateIBANRequest',
            'ValidateIBANResult' => '\\StructType\\ValidateIBANResult',
            'PayeeOperationRequest' => '\\StructType\\PayeeOperationRequest',
            'ArrayOfPayeeDetail' => '\\ArrayType\\ArrayOfPayeeDetail',
            'PayeeDetail' => '\\StructType\\PayeeDetail',
            'PayeeOperationResult' => '\\StructType\\PayeeOperationResult',
            'GetPayeeInfoRequest' => '\\StructType\\GetPayeeInfoRequest',
            'GetPayeeInfoResult' => '\\StructType\\GetPayeeInfoResult',
            'PostDealRequest' => '\\StructType\\PostDealRequest',
            'PostDealResult' => '\\StructType\\PostDealResult',
            'ArrayOfDealDetails' => '\\ArrayType\\ArrayOfDealDetails',
            'DealDetails' => '\\StructType\\DealDetails',
            'PostDealResult_0_0_1' => '\\StructType\\PostDealResult_0_0_1',
            'ArrayOfDealDetails_0_0_1' => '\\ArrayType\\ArrayOfDealDetails_0_0_1',
            'DealDetails_0_0_1' => '\\StructType\\DealDetails_0_0_1',
            'PostDealResult_0_0_2' => '\\StructType\\PostDealResult_0_0_2',
            'ArrayOfDealDetails_0_0_2' => '\\ArrayType\\ArrayOfDealDetails_0_0_2',
            'DealDetails_0_0_2' => '\\StructType\\DealDetails_0_0_2',
            'GetDealPendingApprovalRequest' => '\\StructType\\GetDealPendingApprovalRequest',
            'GetDealPendingApprovalResult' => '\\StructType\\GetDealPendingApprovalResult',
            'ArrayOfDealPendingApprovalDetails' => '\\ArrayType\\ArrayOfDealPendingApprovalDetails',
            'DealPendingApprovalDetails' => '\\StructType\\DealPendingApprovalDetails',
            'PostDealConfirmationRequest' => '\\StructType\\PostDealConfirmationRequest',
            'PostDealConfirmationResult' => '\\StructType\\PostDealConfirmationResult',
            'PayeeInfoValidationRequest' => '\\StructType\\PayeeInfoValidationRequest',
            'PayeeInfoValidationResult' => '\\StructType\\PayeeInfoValidationResult',
            'ArrayOfValidationDetails' => '\\ArrayType\\ArrayOfValidationDetails',
            'ValidationDetails' => '\\StructType\\ValidationDetails',
            'ArrayOfErrorDetails' => '\\ArrayType\\ArrayOfErrorDetails',
            'ErrorDetails' => '\\StructType\\ErrorDetails',
            'GetAccountActivityRequest' => '\\StructType\\GetAccountActivityRequest',
            'GetAccountActivityResult' => '\\StructType\\GetAccountActivityResult',
            'ArrayOfTransactionDetails' => '\\ArrayType\\ArrayOfTransactionDetails',
            'TransactionDetails' => '\\StructType\\TransactionDetails',
            'IncomingFundStatusCheckRequest' => '\\StructType\\IncomingFundStatusCheckRequest',
            'IncomingFundStatusCheckResult' => '\\StructType\\IncomingFundStatusCheckResult',
            'GetQuoteTBARequest' => '\\StructType\\GetQuoteTBARequest',
            'GetQuoteTBAResult' => '\\StructType\\GetQuoteTBAResult',
            'AcceptAndSubmitDealTBAResult' => '\\StructType\\AcceptAndSubmitDealTBAResult',
            'IncomingPaymentInstructionRequest' => '\\StructType\\IncomingPaymentInstructionRequest',
            'IncomingPaymentInstructionResult' => '\\StructType\\IncomingPaymentInstructionResult',
            'DeletePendingDealByIdRequest' => '\\StructType\\DeletePendingDealByIdRequest',
            'DeletePendingDealByIdResult' => '\\StructType\\DeletePendingDealByIdResult',
            'CheckScanInputsInitiate' => '\\StructType\\CheckScanInputsInitiate',
            'CheckScanInputsInitiateResponse' => '\\StructType\\CheckScanInputsInitiateResponse',
            'GetQuote' => '\\StructType\\GetQuote',
            'GetQuoteResponse' => '\\StructType\\GetQuoteResponse',
            'AcceptQuote' => '\\StructType\\AcceptQuote',
            'AcceptQuoteResponse' => '\\StructType\\AcceptQuoteResponse',
            'SubmitDeal' => '\\StructType\\SubmitDeal',
            'SubmitDealResponse' => '\\StructType\\SubmitDealResponse',
            'SubmitDealDefaultFunding' => '\\StructType\\SubmitDealDefaultFunding',
            'SubmitDealDefaultFundingResponse' => '\\StructType\\SubmitDealDefaultFundingResponse',
            'SubmitDealAutoQuote' => '\\StructType\\SubmitDealAutoQuote',
            'SubmitDealAutoQuoteResponse' => '\\StructType\\SubmitDealAutoQuoteResponse',
            'SubmitDealForApproval' => '\\StructType\\SubmitDealForApproval',
            'SubmitDealForApprovalResponse' => '\\StructType\\SubmitDealForApprovalResponse',
            'SubmitDeal_0_0_1' => '\\StructType\\SubmitDeal_0_0_1',
            'SubmitDeal_0_0_1Response' => '\\StructType\\SubmitDeal_0_0_1Response',
            'SubmitDeal_0_0_2' => '\\StructType\\SubmitDeal_0_0_2',
            'SubmitDeal_0_0_2Response' => '\\StructType\\SubmitDeal_0_0_2Response',
            'SubmitIncomingDeal' => '\\StructType\\SubmitIncomingDeal',
            'SubmitIncomingDealResponse' => '\\StructType\\SubmitIncomingDealResponse',
            'GetAccountBalance' => '\\StructType\\GetAccountBalance',
            'GetAccountBalanceResponse' => '\\StructType\\GetAccountBalanceResponse',
            'GetAccountBalance_0_0_1' => '\\StructType\\GetAccountBalance_0_0_1',
            'GetAccountBalance_0_0_1Response' => '\\StructType\\GetAccountBalance_0_0_1Response',
            'GetFundingAccountList' => '\\StructType\\GetFundingAccountList',
            'GetFundingAccountListResponse' => '\\StructType\\GetFundingAccountListResponse',
            'ValidateIBAN' => '\\StructType\\ValidateIBAN',
            'ValidateIBANResponse' => '\\StructType\\ValidateIBANResponse',
            'AddPayee' => '\\StructType\\AddPayee',
            'AddPayeeResponse' => '\\StructType\\AddPayeeResponse',
            'UpdatePayee' => '\\StructType\\UpdatePayee',
            'UpdatePayeeResponse' => '\\StructType\\UpdatePayeeResponse',
            'DeletePayee' => '\\StructType\\DeletePayee',
            'DeletePayeeResponse' => '\\StructType\\DeletePayeeResponse',
            'GetPayeeInfo' => '\\StructType\\GetPayeeInfo',
            'GetPayeeInfoResponse' => '\\StructType\\GetPayeeInfoResponse',
            'PostDeal' => '\\StructType\\PostDeal',
            'PostDealResponse' => '\\StructType\\PostDealResponse',
            'PostDeal_0_0_1' => '\\StructType\\PostDeal_0_0_1',
            'PostDeal_0_0_1Response' => '\\StructType\\PostDeal_0_0_1Response',
            'PostDeal_0_0_2' => '\\StructType\\PostDeal_0_0_2',
            'PostDeal_0_0_2Response' => '\\StructType\\PostDeal_0_0_2Response',
            'GetDealPendingApproval' => '\\StructType\\GetDealPendingApproval',
            'GetDealPendingApprovalResponse' => '\\StructType\\GetDealPendingApprovalResponse',
            'PostDealConfirmation' => '\\StructType\\PostDealConfirmation',
            'PostDealConfirmationResponse' => '\\StructType\\PostDealConfirmationResponse',
            'PayeeInfoValidation' => '\\StructType\\PayeeInfoValidation',
            'PayeeInfoValidationResponse' => '\\StructType\\PayeeInfoValidationResponse',
            'GetAccountActivity' => '\\StructType\\GetAccountActivity',
            'GetAccountActivityResponse' => '\\StructType\\GetAccountActivityResponse',
            'IncomingFundStatusCheck' => '\\StructType\\IncomingFundStatusCheck',
            'IncomingFundStatusCheckResponse' => '\\StructType\\IncomingFundStatusCheckResponse',
            'GetQuoteTBA' => '\\StructType\\GetQuoteTBA',
            'GetQuoteTBAResponse' => '\\StructType\\GetQuoteTBAResponse',
            'AcceptAndSubmitDealTBA' => '\\StructType\\AcceptAndSubmitDealTBA',
            'AcceptAndSubmitDealTBAResponse' => '\\StructType\\AcceptAndSubmitDealTBAResponse',
            'GetIncomingPaymentInstruction' => '\\StructType\\GetIncomingPaymentInstruction',
            'GetIncomingPaymentInstructionResponse' => '\\StructType\\GetIncomingPaymentInstructionResponse',
            'DeletePendingDealById' => '\\StructType\\DeletePendingDealById',
            'DeletePendingDealByIdResponse' => '\\StructType\\DeletePendingDealByIdResponse',
        );
    }
}
